      subroutine setprob
      implicit double precision (a-h,o-z)
      common /cparam/ rho,bulk,cc,zz   
      common /cqinit/ beta,gamma,x0,x1,x2,icp,icu
c
c     # Set the material parameters for the acoustic equations
c     # Passed to the Riemann solver rp1.f in a common block
c
      open(unit=7,file='setprob.data',status='old',form='formatted')


c     # density:
      read(7,*) rho

c     # bulk modulus:
      read(7,*) bulk

c     # sound speed:
      cc = dsqrt(bulk/rho)

c     # impedance:
      zz = cc*rho

c     # parameters for initial conditions:
      read(7,*) icp
      read(7,*) icu
      read(7,*) beta
      read(7,*) gamma
      read(7,*) x0
      read(7,*) x1
      read(7,*) x2


      return
      end
